public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-crypt/qca/
Date: Sat,  3 Jun 2017 21:51:23 +0000 (UTC)	[thread overview]
Message-ID: <1496526674.caebd13188f7462130c2f2d6d825c1ea21a6e229.asturm@gentoo> (raw)

commit:     caebd13188f7462130c2f2d6d825c1ea21a6e229
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Jun  3 21:49:55 2017 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Jun  3 21:51:14 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=caebd131

app-crypt/qca: DEPEND on >=Qt-4.8.7

Ensure rebuild after Qt-4.8.7 stabilisation.

Gentoo-bug: 595618, 619326

Package-Manager: Portage-2.3.5, Repoman-2.3.1

 app-crypt/qca/qca-2.1.3-r1.ebuild | 122 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 122 insertions(+)

diff --git a/app-crypt/qca/qca-2.1.3-r1.ebuild b/app-crypt/qca/qca-2.1.3-r1.ebuild
new file mode 100644
index 00000000000..1bdc07abea3
--- /dev/null
+++ b/app-crypt/qca/qca-2.1.3-r1.ebuild
@@ -0,0 +1,122 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils multibuild qmake-utils
+
+DESCRIPTION="Qt Cryptographic Architecture (QCA)"
+HOMEPAGE="https://userbase.kde.org/QCA"
+SRC_URI="mirror://kde/stable/${PN}/${PV}/src/${P}.tar.xz"
+
+LICENSE="LGPL-2.1"
+SLOT="2"
+KEYWORDS="alpha amd64 ~arm ~arm64 hppa ~ia64 ppc ~ppc64 ~sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris"
+
+IUSE="botan debug doc examples gcrypt gpg libressl logger nss pkcs11 +qt4 qt5 sasl softstore +ssl test"
+REQUIRED_USE="|| ( qt4 qt5 )"
+
+RDEPEND="
+	!app-crypt/qca-cyrus-sasl
+	!app-crypt/qca-gnupg
+	!app-crypt/qca-logger
+	!app-crypt/qca-ossl
+	!app-crypt/qca-pkcs11
+	botan? ( dev-libs/botan:0 )
+	gcrypt? ( dev-libs/libgcrypt:= )
+	gpg? ( app-crypt/gnupg )
+	nss? ( dev-libs/nss )
+	pkcs11? (
+		!libressl? ( dev-libs/openssl:0 )
+		libressl? ( dev-libs/libressl )
+		dev-libs/pkcs11-helper
+	)
+	qt4? ( >=dev-qt/qtcore-4.8.7-r2:4 )
+	qt5? (
+		dev-qt/qtcore:5
+		dev-qt/qtconcurrent:5
+		dev-qt/qtnetwork:5
+	)
+	sasl? ( dev-libs/cyrus-sasl:2 )
+	ssl? (
+		!libressl? ( >=dev-libs/openssl-1.0.1:0= )
+		libressl? ( dev-libs/libressl:= )
+	)
+"
+DEPEND="${RDEPEND}
+	doc? ( app-doc/doxygen )
+	test? (
+		qt4? ( dev-qt/qttest:4 )
+		qt5? ( dev-qt/qttest:5 )
+	)
+"
+
+DOCS=( README TODO )
+
+PATCHES=(
+	"${FILESDIR}/${PN}-disable-pgp-test.patch"
+	"${FILESDIR}/${P}-c++11.patch"
+)
+
+qca_plugin_use() {
+	echo -DWITH_${2:-$1}_PLUGIN=$(usex "$1")
+}
+
+pkg_setup() {
+	MULTIBUILD_VARIANTS=( $(usev qt4) $(usev qt5) )
+}
+
+src_configure() {
+	myconfigure() {
+		local mycmakeargs=(
+			-DQCA_FEATURE_INSTALL_DIR="${EPREFIX}$(${MULTIBUILD_VARIANT}_get_mkspecsdir)/features"
+			-DQCA_PLUGINS_INSTALL_DIR="${EPREFIX}$(${MULTIBUILD_VARIANT}_get_plugindir)"
+			$(qca_plugin_use botan)
+			$(qca_plugin_use gcrypt)
+			$(qca_plugin_use gpg gnupg)
+			$(qca_plugin_use logger)
+			$(qca_plugin_use nss)
+			$(qca_plugin_use pkcs11)
+			$(qca_plugin_use sasl cyrus-sasl)
+			$(qca_plugin_use softstore)
+			$(qca_plugin_use ssl ossl)
+			-DBUILD_TESTS=$(usex test)
+		)
+
+		if [[ ${MULTIBUILD_VARIANT} == qt4 ]]; then
+			mycmakeargs+=(-DQT4_BUILD=ON)
+		fi
+
+		cmake-utils_src_configure
+	}
+
+	multibuild_foreach_variant myconfigure
+}
+
+src_compile() {
+	multibuild_foreach_variant cmake-utils_src_compile
+}
+
+src_test() {
+	mytest() {
+		local -x QCA_PLUGIN_PATH="${BUILD_DIR}/lib/qca"
+		cmake-utils_src_test
+	}
+
+	multibuild_foreach_variant mytest
+}
+
+src_install() {
+	multibuild_foreach_variant cmake-utils_src_install
+
+	if use doc; then
+		pushd "${BUILD_DIR}" >/dev/null || die
+		doxygen Doxyfile.in || die
+		dodoc -r apidocs/html
+		popd >/dev/null || die
+	fi
+
+	if use examples; then
+		dodoc -r "${S}"/examples
+	fi
+}


             reply	other threads:[~2017-06-03 21:51 UTC|newest]

Thread overview: 82+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-06-03 21:51 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-07 23:06 [gentoo-commits] repo/gentoo:master commit in: app-crypt/qca/ Andreas Sturmlechner
2024-07-14  5:59 Arthur Zamarin
2024-07-13 22:44 Sam James
2024-07-13 22:44 Sam James
2024-06-24 22:02 Andreas Sturmlechner
2024-05-27 22:23 Andreas Sturmlechner
2024-03-06 20:32 Andreas Sturmlechner
2024-02-23  4:46 Sam James
2024-02-02 12:44 Arthur Zamarin
2024-01-09 21:18 Andreas Sturmlechner
2023-12-21 16:13 Sam James
2023-08-03 17:11 Andreas Sturmlechner
2023-06-22 19:59 Arthur Zamarin
2023-06-18 15:31 Andreas Sturmlechner
2023-06-13 12:14 Andreas Sturmlechner
2023-05-04  3:14 Sam James
2023-05-03 11:31 Andreas Sturmlechner
2023-04-12  2:21 Sam James
2022-12-15 23:29 Andreas Sturmlechner
2022-10-19 18:46 Andreas Sturmlechner
2022-08-15 21:07 Andreas Sturmlechner
2022-06-28  4:18 WANG Xuerui
2021-11-02 14:33 Andreas Sturmlechner
2021-10-29 11:16 Sam James
2021-10-15 22:42 Sam James
2021-10-15 22:42 Sam James
2021-09-15 17:49 Andreas Sturmlechner
2021-08-25 20:07 Yixun Lan
2021-08-25  1:06 Sam James
2021-08-06 12:16 Sam James
2021-07-17  7:42 Agostino Sarubbo
2021-07-15  7:42 Agostino Sarubbo
2021-06-10 15:34 Andreas Sturmlechner
2021-04-06  6:40 Mikle Kolyada
2021-04-05 22:54 Thomas Deutschmann
2021-02-05  7:53 Andreas Sturmlechner
2020-09-06 16:46 Andreas Sturmlechner
2020-08-03 23:25 Sam James
2020-07-06 18:16 Andreas Sturmlechner
2020-03-19 11:46 Andreas Sturmlechner
2020-03-19 11:40 Mart Raudsepp
2020-03-18 11:04 Agostino Sarubbo
2020-03-17 16:03 Agostino Sarubbo
2020-02-26 10:01 Andreas Sturmlechner
2020-02-25 17:24 Andreas Sturmlechner
2020-02-13 21:28 Andreas Sturmlechner
2020-02-11 22:46 Andreas Sturmlechner
2019-12-22 19:51 Andreas Sturmlechner
2019-12-22 19:51 Andreas Sturmlechner
2019-05-28  2:35 Aaron Bauman
2019-05-11 11:14 Mikle Kolyada
2019-04-27 14:46 Andreas Sturmlechner
2019-04-23 19:27 Mikle Kolyada
2019-04-10  6:03 Andreas Sturmlechner
2019-04-09 15:14 Andreas Sturmlechner
2019-02-24 16:08 Andreas Sturmlechner
2018-06-09 13:52 Andreas Sturmlechner
2018-06-06  9:35 Andreas Sturmlechner
2018-05-26 21:15 Andreas Sturmlechner
2018-05-26 20:51 Andreas Sturmlechner
2018-05-25 23:58 Thomas Deutschmann
2018-05-24 17:46 Andreas Sturmlechner
2018-03-22 12:22 Andreas Sturmlechner
2017-11-27 17:59 Andreas Sturmlechner
2017-10-30 23:33 Andreas Sturmlechner
2017-06-09 16:40 Johannes Huber
2017-06-09 16:39 Johannes Huber
2017-04-30  8:53 Jeroen Roovers
2017-04-29 15:02 Agostino Sarubbo
2017-04-26  7:40 Agostino Sarubbo
2017-04-25 11:32 Michael Palimaka
2017-02-15 18:25 Johannes Huber
2017-02-15 18:25 Johannes Huber
2016-10-28 14:35 Michael Palimaka
2016-08-31 15:42 Michael Palimaka
2016-06-01 21:38 Michael Palimaka
2016-05-30 14:52 Tobias Klausmann
2016-05-27  2:48 Jeroen Roovers
2016-04-02 13:44 Agostino Sarubbo
2015-10-08 14:03 Michael Palimaka
2015-10-04 19:36 Julian Ospald

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1496526674.caebd13188f7462130c2f2d6d825c1ea21a6e229.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox